local lateGameTrader = ...

lateGameTrader:log("Starting Trade Update")


-- Register an addition neighbour to trade with. 
-- Costs 6.5k Gold to start trading until Glass is craftible but all 5 
-- (due to can't get deer?) options make profit

lateGameTrader:register({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_ALABASTA",

	VillageName = "Alabasta",
	--RESOURCE QUANTITY PAIR
	UnlockCost = { 
		{ Resource = "GLASS", Quantity = 50 },
		{ Resource = "GOLD", Quantity = 1500 }
	},
	
	--BUYING RESOURCE TRADING INFO
	BuyingResourceList = { 
		{
			ResourceMaxAmount = { Resource = "QUARTZ", Quantity = 2 },
			UnitPrice = { Resource = "GOLD", Quantity = 120 }
		},
		{
			ResourceMaxAmount = { Resource = "COAL", Quantity = 30 },
			UnitPrice = { Resource = "GOLD", Quantity = 6 }
		},
		{
			ResourceMaxAmount = { Resource = "GLASS", Quantity = 25 },
			UnitPrice = { Resource = "GOLD", Quantity = 55 }
		}
	},
	
	--SELLING RESOURCE TRADING INFO
	SellingResourceList = {
		{
			ResourceMaxAmount = { Resource = "HONEY", Quantity = 25 },
			UnitPrice = { Resource = "GOLD", Quantity = 19 },
		},
		{
			ResourceMaxAmount = { Resource = "IRON", Quantity = 40 },
			UnitPrice = { Resource = "IRON_ORE", Quantity = 4 }
		},
		{
			ResourceMaxAmount = { Resource = "BEER", Quantity = 15 },
			UnitPrice = { Resource = "WINE", Quantity = 2 }
		}
	},
	
	Allegeance = "LABOUR"
})

-- Override default village list
lateGameTrader:override({
	Id = "VILLAGE_LIST_DEFAULT",
	TradingVillageList = {
		Action = "APPEND",
		"VILLAGE_ALABASTA"
	}
})